curl --request GET \
--url https://api.aries.com/v1/financials/statements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/financials/statements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/financials/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"financials": [
{
"costOfGoodsSold": 505.765,
"dilutedAverageSharesOutstanding": 13410.208,
"dilutedEPS": 0.01,
"ebit": 129.639,
"grossIncome": 477.004,
"interestIncomeExpense": 0,
"netIncome": 76.714,
"netIncomeAfterTaxes": 76.714,
"nonRecurringItems": 0,
"period": "1983-09-30",
"pretaxIncome": 146.122,
"provisionforIncomeTaxes": 69.408,
"researchDevelopment": 60.04,
"revenue": 982.769,
"sgaExpense": 287.325,
"totalOperatingExpense": 347.365,
"totalOtherIncomeExpenseNet": 16.483,
"year": 1983
}
],
"symbol": "AAPL"
}
}Financial Statements
Retrieve standardized financial statements including balance sheet, income statement, and cash flow statement. Essential for fundamental analysis and company valuation.
Use Case: Build a DCF valuation model using historical cash flow statements from the past 5 years.
Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
- Authorization URL
- https://app.aries.com/oauth2/authorize
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
Query Parameters
Stock symbol, such as AAPL. Use it to choose the company you want to research.
Financial statement type to return. Choose the statement category your analysis needs. Statement: bs (balance sheet), ic (income), cf (cash flow).
bs, ic, cf "ic"
Reporting frequency to return. Use annual or quarterly based on your analysis view. How often the underlying data is reported:
annual— once per fiscal year (10-K, full-year statements).quarterly— once per fiscal quarter (10-Q, quarterly statements).
annual, quarterly "quarterly"
Include preliminary data (optional boolean).
Response
Financial statements data.
Show child attributes
Show child attributes
Was this page helpful?